Subject: file event in perl-Tk on cygwin (using POE)
From: [email-masked]
To: [email-masked], [email-masked]
Cc: [email-masked]
Date: Sat, 7 Jun 2003 10:04:58 +1000

POE + perl-tk is a really nice environment for
writing event driven programs. It works fine on
linux [though the debugging info is not always
all you would wish for].

I want to write a portable program, and I'm trying
to get it to work under cygwin. It goes into an
infinite loop in IO.pm, specifically:
perl5\site_perl\5.8.0\cygwin-multi-64int\Tk\Event\IO.pm.
What happens there is that a sub FILENO:

	sub FILENO
	{
	 my $obj = shift;
	 my $h = $obj->handle;
	 return fileno($h);
	}

the final call to fileno actually goes straight
back into FILENO. [I tried putting CORE:: in front
but that made no difference]. So it looks like
$obj->handle returns $obj instead of something
more basic. I've tried both win32 and x11 versions
of Tk800.023-1 which seems to be the last cygwin
compatible version.

Presumably it is a cygwin problem, but I'm happy
to entertain perl-Tk or POE workarounds. Or I'll
have to try to fix it [otherwise the Java proponents
will say "I told you so"].

The file handle is almost certainly stdout or stderr
of a child program (run using POE::Wheel::Run).

So I guess my questions are:

1. Will I do better with other versions of cygwin,
   perl, perl-Tk, POE?

2. Any suggestions for fixes?

3. Any suggestions for workarounds?

4. Any suggestions for where to look to try to fix it?

Bob

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/